import setuptools
packages = setuptools.find_packages()
name = packages[0]
man_dir = "share/man/man1"
def desktop_data_file(suffix):
	return ("share/applications", ["desktop/bt2pd-"+suffix+".desktop"])
with open("_man/bittorrent2player.1", "r") as fh:
	long_description = fh.read()
setuptools.setup( \
	name = name \
	, version = "2.0" \
	, author = "Roman Beslik" \
	, author_email = "me@beroal.in.ua" \
	, description = "bittorrent2player - transfers data from the BitTorrent network to another protocol (currently HTTP) which is more suitable for media players" \
	, long_description = long_description \
	, long_description_content_type = "application/x-troff-man" \
	, url = "http://www.beroal.in.ua/prg/bittorrent2player/" \
	, packages = packages \
	, classifiers = \
		[ "Programming Language :: Python :: 3" \
		, "Development Status :: 5 - Production/Stable" \
		, "Environment :: No Input/Output (Daemon)" \
		, "Intended Audience :: End Users/Desktop" \
		, "License :: OSI Approved :: GNU Library or Lesser General Public License (LGPL)" \
		, "Operating System :: OS Independent" \
		, "Topic :: Communications :: File Sharing" \
		, "Topic :: Multimedia" \
		] \
	, entry_points = {"console_scripts": [name+" = "+name+".main:main", "bt2pd = "+name+".main:main_daemon"]} \
	, data_files = \
		[ ("/etc/"+name, ["logging.conf"]) \
		, desktop_data_file("start") \
		, desktop_data_file("stop") \
		, (man_dir, ["_man/"+name+".1"]) \
		, (man_dir, ["_man/bt2pd.1"]) \
		] \
	, python_requires = '>=3.4' \
	)

